### Method

# Gtk ShortcutControllerset_scope

#### Declaration [src]

    void
    gtk_shortcut_controller_set_scope (
      GtkShortcutController* self,
      GtkShortcutScope scope
    )

#### Description [src]

Sets the controller to have the given `scope`.

The scope allows shortcuts to be activated outside of the normal event propagation. In particular, it allows installing global keyboard shortcuts that can be activated even when a widget does not have focus.

With `GTK_SHORTCUT_SCOPE_LOCAL`, shortcuts will only be activated when the widget has focus.

Sets property | `Gtk.ShortcutController:scope`

#### Parameters

`scope`

  Type: `GtkShortcutScope`

  The new scope to use.